/*
 * T.C.F.S. v. 1.0beta-linux
 *
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@mikonos.dia.unisa.it>
 *		Angelo Celentano, <angcel@mikonos.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@mikonos.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@mikonos.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@mikonos.dia.unisa.it>
 *
 * Permission to use, copy, and modify this software without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies of any software which is or includes a copy or
 * modification of this software and in all copies of the supporting
 * documentation for such software.
 *
 * This software maybe be used for any purpose provided
 * the above copyright notice is retained.  It is supplied
 * as is, with no warranty expressed or implied.
 *
 * This code derives from: adm.c written by Matt Blaze 
 *                         Copyright (c) 1992, 1993, 1994 by AT&T.
 */

/*
 * support for client adm functions
 */
#include <stdio.h>
#include <rpc/rpc.h>
#include "tcfs_prot.h"
#include "mount.h"
/*#include "admproto.h"*/
#include "tcfs.h"

#define MAXADMERR 7

char *admerrs[] = {
	"no error",			/* 0 */
	"permission denied",		/* 1 */
	"too many attached directories",/* 2 */
	"no such attached name",	/* 3 */
	"name already attached",	/* 4 */
	"no such encrypted directory",	/* 5 */
	"incorrect passphrase",		/* 6 */
	"badly formed name"		/* 7 */
	};

char *admmsg(e)
     int e;
{
	if ((e>MAXADMERR) || (e<0))
		return "unknown error";
	return admerrs[e];
}
