/*
 * T.C.F.S. v. 1.0beta-linux
 *
 * logging.h	Definitions for the logging functions.
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@mikonos.dia.unisa.it>
 *		Angelo Celentano, <angcel@mikonos.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@mikonos.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@mikonos.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@mikonos.dia.unisa.it>
 *
 * Permission to use, copy, and modify this software without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies of any software which is or includes a copy or
 * modification of this software and in all copies of the supporting
 * documentation for such software.
 *
 * This software maybe be used for any purpose provided
 * the above copyright notice is retained.  It is supplied
 * as is, with no warranty expressed or implied.
 *
 * This code derives from: logging.h written by
 *      	Donald J. Becker, <becker@super.org>
 *		Rick Sladkey, <jrs@world.std.com>
 *		Fred N. van Kempen, <waltje@uWalt.NL.Mugnet.ORG>
 *
 */

/* Global Function prototypes. */
extern _PRO( void log_open, (char *progname)				);
extern _PRO( void toggle_logging, (int sig)				);
extern _PRO( void dprintf, (int level, const char *fmt, ...)		);
extern _PRO( void log_call, (struct svc_req *rqstp, char *name,		\
			    char *arg)					);
extern _PRO( char *pr_void, (void)					);
extern _PRO( char *pr_nfs_fh, (nfs_fh *argp)				);
extern _PRO( char *pr_sattrargs, (sattrargs *argp)			);
extern _PRO( char *pr_diropargs, (diropargs *argp)			);
extern _PRO( char *pr_readargs, (readargs *argp)			);
extern _PRO( char *pr_writeargs, (writeargs *argp)			);
extern _PRO( char *pr_createargs, (createargs *argp)			);
extern _PRO( char *pr_renameargs, (renameargs *argp)			);
extern _PRO( char *pr_linkargs, (linkargs *argp)			);
extern _PRO( char *pr_symlinkargs, (symlinkargs *argp)			);
extern _PRO( char *pr_readdirargs, (readdirargs *argp)			);
extern _PRO( char *pr_getextatargs, (getextatargs *argp)       		);
extern _PRO( char *pr_setextatargs, (setextatargs *argp)       		);


/* End of logging.h. */
