/*
 * T.C.F.S. v. 1.0beta-linux
 *
 * chsecure.h   some defines and constants to se-up chsecure.c.
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@mikonos.dia.unisa.it>
 *		Angelo Celentano, <angcel@mikonos.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@mikonos.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@mikonos.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@mikonos.dia.unisa.it>
 *
 * Permission to use, copy, and modify this software without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies of any software which is or includes a copy or
 * modification of this software and in all copies of the supporting
 * documentation for such software.
 *
 * This software maybe be used for any purpose provided
 * the above copyright notice is retained.  It is supplied
 * as is, with no warranty expressed or implied.
 *
 */

/* Default secure flags */
#define SECURE          7
#define UNSECURE        0
#define OPTIONS         "s:u:"             /* Chsecure line command flags */

/* Standard limits */
#define MAX_PATHLEN     1024

/* Error codes */
#define RPC_FAIL        -1                 /* RPC-Call error */

#define ERR_USE         -1                 /* Command line error */

#define CHSEC_OK         0                 /* Chsecure function ok */
#define ERR_IOCTL       -1                 /* Ioctl failed */
#define ERR_STICK       -4                 /* Entry not found in mountd-table*/
#define ERR_SFSREG      -5                 /* User not regstered */



