/*
 * S.F.S. v. 0.5alpha-linux
 *
 * xattrd.x: Secure extended flags query protocol
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@mikonos.dia.unisa.it>
 *		Angelo Celentano, <angcel@mikonos.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@mikonos.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@mikonos.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@mikonos.dia.unisa.it>
 *
 * Permission to use, copy, and modify this software without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies of any software which is or includes a copy or
 * modification of this software and in all copies of the supporting
 * documentation for such software.
 *
 * This software maybe be used for any purpose provided
 * the above copyright notice is retained.  It is supplied
 * as is, with no warranty expressed or implied.
 *
 */

/* 
 * $Source: /home/andcoz/C/xattrd/RCS/xattr.x,v $
 *
 */

/*
 * $Header: /home/andcoz/C/xattrd/RCS/xattr.x,v 1.2 2036/02/07 06:30:39 andcoz Exp $
 *
 * $Author: andcoz $ $Locker:  $
 * $Date: 2036/02/07 06:30:39 $ $Revision: 1.2 $
 */

/*
 * $Log: xattr.x,v $
 * Revision 1.2  2036/02/07 06:30:39  andcoz
 * Modificato il meccanismo di ritorno delle funzioni RPC.
 *
 * Revision 1.1  1996/04/30 13:37:20  andcoz
 * Initial revision
 *
 */

%/*
% * S.F.S. written by : Prof. Giuseppe  Cattaneo
% *                     Prof. Giuseppe  Persiano
% *                           Angelo    Celentano
% *                           Andrea    Cozzolino
% *                           Aniello   Del Sorbo
% *                           Ermelindo Mauriello
% *                           Raffaele  Pisapia
% */
%
%/*
% * Generated with rpcgen from:
% * $Header: /home/andcoz/C/xattrd/RCS/xattr.x,v 1.2 2036/02/07 06:30:39 andcoz Exp $
% */
%
%/* -+-_== */

/* -+-_== */

#ifdef RPC_HDR
%#ifndef XATTR_H
%#define XATTR_H
#endif

const NFS_MAXPATHLEN    = 1024;

struct geteattrargs {
	string filename<NFS_MAXPATHLEN>;
};

struct seteattrargs {
	string filename<NFS_MAXPATHLEN>;
	unsigned mode;
};

struct res {
	unsigned mode;
};

program XATTR_PROGRAM {
	version XATTR_VERSION {
		void 
		XATTRPROC_NULL(void) = 0;

		struct res
		XATTRPROC_GETEATTR(geteattrargs) = 1;

		struct res
		XATTRPROC_SETEATTR(seteattrargs) = 2;
	} = 1;
} = 200000;

#ifdef RPC_HDR
%#endif /*XATTR_H*/
#endif
